Package org.spongepowered.asm.util

## Class JavaVersion

- java.lang.Object
- - org.spongepowered.asm.util.JavaVersion

-     public abstract class JavaVersion
      extends java.lang.Object

  Small helper to resolve the current java version

- - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `static double` | `JAVA_10` | Version number for Java 10
    `static double` | `JAVA_11` | Version number for Java 11
    `static double` | `JAVA_12` | Version number for Java 12
    `static double` | `JAVA_13` | Version number for Java 13
    `static double` | `JAVA_14` | Version number for Java 14
    `static double` | `JAVA_15` | Version number for Java 15
    `static double` | `JAVA_16` | Version number for Java 16
    `static double` | `JAVA_17` | Version number for Java 17
    `static double` | `JAVA_18` | Version number for Java 18
    `static double` | `JAVA_19` | Version number for Java 19
    `static double` | `JAVA_20` | Version number for Java 20
    `static double` | `JAVA_21` | Version number for Java 21
    `static double` | `JAVA_22` | Version number for Java 22
    `static double` | `JAVA_23` | Version number for Java 23
    `static double` | `JAVA_24` | Version number for Java 24
    `static double` | `JAVA_25` | Version number for Java 25
    `static double` | `JAVA_6` | Version number for Java 6
    `static double` | `JAVA_7` | Version number for Java 7
    `static double` | `JAVA_8` | Version number for Java 8
    `static double` | `JAVA_9` | Version number for Java 9

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `static double` | `current()` | Get the current java version, calculates if necessary

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### JAVA_6

          public static final double JAVA_6

      Version number for Java 6
      See Also:
        Constant Field Values

    - #### JAVA_7

          public static final double JAVA_7

      Version number for Java 7
      See Also:
        Constant Field Values

    - #### JAVA_8

          public static final double JAVA_8

      Version number for Java 8
      See Also:
        Constant Field Values

    - #### JAVA_9

          public static final double JAVA_9

      Version number for Java 9
      See Also:
        Constant Field Values

    - #### JAVA_10

          public static final double JAVA_10

      Version number for Java 10
      See Also:
        Constant Field Values

    - #### JAVA_11

          public static final double JAVA_11

      Version number for Java 11
      See Also:
        Constant Field Values

    - #### JAVA_12

          public static final double JAVA_12

      Version number for Java 12
      See Also:
        Constant Field Values

    - #### JAVA_13

          public static final double JAVA_13

      Version number for Java 13
      See Also:
        Constant Field Values

    - #### JAVA_14

          public static final double JAVA_14

      Version number for Java 14
      See Also:
        Constant Field Values

    - #### JAVA_15

          public static final double JAVA_15

      Version number for Java 15
      See Also:
        Constant Field Values

    - #### JAVA_16

          public static final double JAVA_16

      Version number for Java 16
      See Also:
        Constant Field Values

    - #### JAVA_17

          public static final double JAVA_17

      Version number for Java 17
      See Also:
        Constant Field Values

    - #### JAVA_18

          public static final double JAVA_18

      Version number for Java 18
      See Also:
        Constant Field Values

    - #### JAVA_19

          public static final double JAVA_19

      Version number for Java 19
      See Also:
        Constant Field Values

    - #### JAVA_20

          public static final double JAVA_20

      Version number for Java 20
      See Also:
        Constant Field Values

    - #### JAVA_21

          public static final double JAVA_21

      Version number for Java 21
      See Also:
        Constant Field Values

    - #### JAVA_22

          public static final double JAVA_22

      Version number for Java 22
      See Also:
        Constant Field Values

    - #### JAVA_23

          public static final double JAVA_23

      Version number for Java 23
      See Also:
        Constant Field Values

    - #### JAVA_24

          public static final double JAVA_24

      Version number for Java 24
      See Also:
        Constant Field Values

    - #### JAVA_25

          public static final double JAVA_25

      Version number for Java 25
      See Also:
        Constant Field Values

  - ### Method Detail

    - #### current

          public static double current()

      Get the current java version, calculates if necessary